Dienstag, Januar 21, 2020

ImportError: cannot import name ‚logsumexp‘ beim importieren sklearn.model_selection

War ich versucht, zu importieren sklearn.model_selection mit Jupiter Notebook unter anaconda-Umgebung mit python, 3.5, aber ich wurde gewarnt, dass ich nicht „model_selection“ – Modul, so habe ich conda update scikit-learn.

Danach erhielt ich eine Nachricht von ImportError: cannot import name 'logsumexp' beim importieren sklearn.model_selection.

Habe ich neu installiert sklearn und scipy, aber immer noch erhalten die gleiche Fehlermeldung. Kann ich eine Beratung?

InformationsquelleAutor J.Su | 2017-03-27

5 Kommentare

  1. 8

    Stieß ich auf genau das gleiche problem nur jetzt. Nachdem ich aktualisiert scikit-learn und versuchte import sklearn.model_selection, die ImportError erschien.

    Ich habe gerade neu gestartet anaconda und es lief wieder.

    Funktionierte es. Weiß nicht, warum.

    • Danke!!! Ich habe das problem gelöst, mit der gleichen Weise. Ich aktualisiert sklearn und anaconda ist das problem noch aufgetreten. Aber wenn ich neu starten, anaconda und Jupyter, es funktionierte. Mein Freund hatte das gleiche Problem, Sie neu gestartet Jupiter und löste das Problem. Es fühlt sich an wie ein Problem mit der Robustheit von Jupyter mit Sklearn, aber ich könnte falsch sein.
  2. 1

    Es ist nicht die beste Lösung, aber ein Rollback auf 0.18.2 war für mich (nach dem Versuch, alle oben genannten Lösungen):

    pip uninstall scikit-learn
    pip install scikit-learn==0.18.2

    Letztendlich funktionierte es mit der version 0.18.2 von scikit-learn und die version 1.2.0 von scipy.

  3. 0

    Hatte den gleichen Fehler. Ich bin mit Anaconda.
    Aktualisieren alle beteiligten-Paket über pip und conda das problem gelöst.

    pip install scikit-learn --upgrade
    pip install scipy --upgrade
    pip install sklearn --upgrade

    und

    conda update scikit-learn
    conda update scipy
  4. 0

    Den gleichen Fehler auftrat, wenn ich versuchte, Sie zu importieren hmm von hmmlearn, habe ich neu installiert scipy und es funktionierte. Hoffe, dass dies hilfreich sein kann.(Ich habe versucht, aktualisieren der Pakete beteiligt, das problem zu lösen, aber hat nicht funktioniert. Mein computer-system ist ubuntu 16.04, mit anaconda3 installiert).

Kostenlose Online-Tests